Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQImageFormat Class Reference

The TQImageFormat class is an incremental image decoder for a specific image format. More...

`#include <ntqasyncimageio.h>`

List of all member functions.

## Public Members

- virtual int decode ( TQImage & img, TQImageConsumer * consumer, const uchar * buffer, int length ) = 0

## Detailed Description

The TQImageFormat class is an incremental image decoder for a specific image format.

By making a derived class of TQImageFormatType, which in turn creates objects that are a subclass of TQImageFormat, you can add support for more incremental image formats, allowing such formats to be sources for a TQMovie or for the first frame of the image stream to be loaded as a TQImage or TQPixmap.

Your new subclass must reimplement the decode() function in order to process your new format.

New TQImageFormat objects are generated by new TQImageFormatType factories.

See also Graphics Classes, Image Processing Classes, and Multimedia Classes.

## Member Function Documentation

### int TQImageFormat::decode ( TQImage & img, TQImageConsumer * consumer, const uchar * buffer, int length )`[pure virtual]`

New subclasses must reimplement this method.

It should decode some or all of the bytes from buffer into img, calling the methods of consumer as the decoding proceeds to inform that consumer of changes to the image. The length of the data is given in length. The consumer may be 0, in which case the function should just process the data into img without telling any consumer about the changes. Note that the decoder must store enough state to be able to continue in subsequent calls to this method - this is the essence of the incremental image loading.

The function should return without processing all the data if it reaches the end of a frame in the input.

The function must return the number of bytes it has processed.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.